import os
import sys
import base64

LOGO = {}

def make_logo(base):
    major = sys.version_info[0]
    path = os.path.join(base, 'logo-64x64.png')
    encoded = LOGO[major]
    data = base64.b64decode(encoded)
    with open(path, 'wb') as f:
        f.write(data)

LOGO[2] = """\
iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAIAAAAlC+aJAAAKqGlDQ1BJQ0MgUHJvZmlsZQAASImVlwdQ
FFkax193Tw6kgRGQMOSM5Cg5DlkymBhmCEMYxxmGJCoqiwquARURMKFLEAVXJcgaEFFMi4Ai5h1kUVDW
xYAJlW3kGG7v6u7q/lVf9a++fv29r1+/V/VvAChXWXx+GiwDQDovQxDq486Ijoll4MUAAgqABGjAiMUW
8t1CQgIAqtnr3/X+Ljoa1W2T6Vr/fv+/SpaTIGQDAIWgHM8RstNRPo3GCTZfkAEAwkHzWlkZ/GnehLK8
AG0Q5cppTprhE9McP8Od38eEh3qgfA8AAoXFEiQBQP4dzTMy2UloHQoGZTMeh8tD2QplZ3YyC52Hgt4D
xunpK6b5IMr68f9UJ+lvNeMlNVmsJAnPvMt3ETy5Qn4aK+f/XI7/rfQ00ewcmmhQkgW+odPzoWtWm7rC
X8K8+KDgWeZyZnqa5mSRb8Qss4UesbPMYXn6z7IoNcJtllmCuWe5GczwWRasCJXU56UFBUjqJzAlnCD0
CpvlRK43c5Zzk8OjZjmTGxk0y8LUMP+5MR6SvEAUKuk5UeAtecd04VxvbNbcXBnJ4b5zPURL+uEkeHpJ
8rwIyXh+hrukJj8tZK7/NB9JXpgZJnk2A91gs5zC8guZqxMiWR/ABYGABdgZCdnT+wp4rODnCLhJyRkM
N/SUJDCYPLapMcPCzNwGgOkzN/NJ3977fpYgOmEuJ7wDgIMumuTN5ZYVAtBmCwDtj7mcdh66Dw8DcK6P
LRJkzuSmtzrAoidZGsgDJaAGtIA+MAEWwAY4AlfgBfxAMAgHMWAZYINkkA4EIAvkgXWgEBSD7WA3KAcH
wGFQC46Dk6AFnAUXwRVwA/SAfvAQiMEweAnGwXswCUEQHqJCNEgJUod0ICPIArKDnCEvKAAKhWKgOCgJ
4kEiKA/aABVDJVA5dAiqg36GzkAXoWtQL3QfGoRGoTfQZxiBKbA8rArrwgtgO9gN9ofD4aVwErwSzoUL
4K1wGVwFH4Ob4YvwDbgfFsMv4QkEIGSEjmggJogd4oEEI7FIIiJA1iBFSClShTQgbUgXchsRI2PIJwwO
Q8MwMCYYR4wvJgLDxqzErMFswZRjajHNmE7MbcwgZhzzDUvFqmCNsA5YJjYam4TNwhZiS7HV2CbsZWw/
dhj7HofD0XF6OFucLy4Gl4JbhduC24drxLXjenFDuAk8Hq+EN8I74YPxLHwGvhC/F38MfwHfhx/GfySQ
CeoEC4I3IZbAI6wnlBKOEs4T+gjPCZNEGaIO0YEYTOQQc4jbiEeIbcRbxGHiJEmWpEdyIoWTUkjrSGWk
BtJl0iPSWzKZrEm2Jy8ic8n55DLyCfJV8iD5E0WOYkjxoCyhiChbKTWUdsp9ylsqlapLdaXGUjOoW6l1
1EvUJ9SPUjQpUymmFEdqrVSFVLNUn9QraaK0jrSb9DLpXOlS6VPSt6THZIgyujIeMiyZNTIVMmdkBmQm
ZGmy5rLBsumyW2SPyl6THZHDy+nKeclx5ArkDstdkhuiITQtmgeNTdtAO0K7TBuWx8nryTPlU+SL5Y/L
d8uPK8gpWClEKmQrVCicUxDTEbounUlPo2+jn6TfpX+epzrPbV7CvM3zGub1zfugOF/RVTFBsUixUbFf
8bMSQ8lLKVVph1KL0mNljLKh8iLlLOX9ypeVx+bLz3ecz55fNP/k/AcqsIqhSqjKKpXDKjdVJlTVVH1U
+ap7VS+pjqnR1VzVUtR2qZ1XG1WnqTurc9V3qV9Qf8FQYLgx0hhljE7GuIaKhq+GSOOQRrfGpKaeZoTm
es1GzcdaJC07rUStXVodWuPa6tqB2nna9doPdIg6djrJOnt0unQ+6OrpRulu1G3RHdFT1GPq5erV6z3S
p+q76K/Ur9K/Y4AzsDNINdhn0GMIG1obJhtWGN4ygo1sjLhG+4x6jbHG9sY84yrjAROKiZtJpkm9yaAp
3TTAdL1pi+mrBdoLYhfsWNC14JuZtVma2RGzh+Zy5n7m683bzN9YGFqwLSos7lhSLb0t11q2Wr62MrJK
sNpvdc+aZh1ovdG6w/qrja2NwKbBZtRW2zbOttJ2wE7eLsRui91Ve6y9u/1a+7P2nxxsHDIcTjr86Wji
mOp41HFkod7ChIVHFg45aTqxnA45iZ0ZznHOB53FLhouLJcql6euWq4c12rX524Gbilux9xeuZu5C9yb
3D94OHis9mj3RDx9PIs8u73kvCK8yr2eeGt6J3nXe4/7WPus8mn3xfr6++7wHWCqMtnMOua4n63far9O
f4p/mH+5/9MAwwBBQFsgHOgXuDPwUZBOEC+oJRgEM4N3Bj8O0QtZGfLLItyikEUVi56FmofmhXaF0cKW
hx0Nex/uHr4t/GGEfoQooiNSOnJJZF3khyjPqJIocfSC6NXRN2KUY7gxrbH42MjY6tiJxV6Ldy8eXmK9
pHDJ3aV6S7OXXlumvCxt2bnl0stZy0/FYeOi4o7GfWEFs6pYE/HM+Mr4cbYHew/7JceVs4szmuCUUJLw
PNEpsSRxJMkpaWfSaLJLcmnyGNeDW859neKbciDlQ2pwak3qVFpUWmM6IT0u/QxPjpfK61yhtiJ7RS/f
iF/IF690WLl75bjAX1AthIRLha0Z8qi5uSnSF/0gGsx0zqzI/JgVmXUqWzabl30zxzBnc87zXO/cn1Zh
VrFXdeRp5K3LG1zttvrQGmhN/JqOtVprC9YO5/vk164jrUtd9+t6s/Ul699tiNrQVqBakF8w9IPPD/WF
UoWCwoGNjhsPbMJs4m7q3my5ee/mb0WcouvFZsWlxV+2sLdc/9H8x7Ifp7Ymbu3eZrNt/3bcdt72uztc
dtSWyJbklgztDNzZvIuxq2jXu93Ld18rtSo9sIe0R7RHXBZQ1rpXe+/2vV/Kk8v7K9wrGitVKjdXftjH
2de333V/wwHVA8UHPh/kHrx3yOdQc5VuVelh3OHMw8+ORB7p+snup7pq5eri6q81vBpxbWhtZ51tXd1R
laPb6uF6Uf3osSXHeo57Hm9tMGk41EhvLD4BTohOvPg57ue7J/1PdpyyO9VwWud0ZROtqagZas5pHm9J
bhG3xrT2nvE709Hm2Nb0i+kvNWc1zlacUzi37TzpfMH5qQu5Fyba+e1jF5MuDnUs73h4KfrSnc5Fnd2X
/S9fveJ95VKXW9eFq05Xz15zuHbmut31lhs2N5pvWt9s+tX616Zum+7mW7a3Wnvse9p6F/ae73Ppu3jb
8/aVO8w7N/qD+nvvRty9N7BkQHyPc2/kftr91w8yH0w+zH+EfVT0WOZx6ROVJ1W/GfzWKLYRnxv0HLz5
NOzpwyH20Mvfhb9/GS54Rn1W+lz9ed2IxcjZUe/RnheLXwy/5L+cHCv8Q/aPylf6r07/6frnzfHo8eHX
gtdTb7a8VXpb887qXcdEyMST9+nvJz8UfVT6WPvJ7lPX56jPzyezvuC/lH01+Nr2zf/bo6n0qSk+S8D6
bgUQNODERADe1ABAjUG9Qw8AJKkZT/xd0IyP/07gP/GMb/4u1LnUtAMwbc388wE4iF51py0pGiGuAIS7
AtjSUhL/kDDR0mKmFrkFtSalU1NvUS+INwDg68DU1GTL1NTXarTZBwC0v5/x4tPCoX8oDcjI62D6raCt
+eBf9BfylgHrAxniCgAAAAlwSFlzAAAWJQAAFiUBSVIk8AAABCRpVFh0WE1MOmNvbS5hZG9iZS54bXAA
AAAAADx4OnhtcG1ldGEgeG1sbnM6eD0iYWRvYmU6bnM6bWV0YS8iIHg6eG1wdGs9IlhNUCBDb3JlIDUu
NC4wIj4KICAgPHJkZjpSREYgeG1sbnM6cmRmPSJodHRwOi8vd3d3LnczLm9yZy8xOTk5LzAyLzIyLXJk
Zi1zeW50YXgtbnMjIj4KICAgICAgPHJkZjpEZXNjcmlwdGlvbiByZGY6YWJvdXQ9IiIKICAgICAgICAg
ICAgeG1sbnM6dGlmZj0iaHR0cDovL25zLmFkb2JlLmNvbS90aWZmLzEuMC8iCiAgICAgICAgICAgIHht
bG5zOmV4aWY9Imh0dHA6Ly9ucy5hZG9iZS5jb20vZXhpZi8xLjAvIgogICAgICAgICAgICB4bWxuczpk
Yz0iaHR0cDovL3B1cmwub3JnL2RjL2VsZW1lbnRzLzEuMS8iCiAgICAgICAgICAgIHhtbG5zOnhtcD0i
aHR0cDovL25zLmFkb2JlLmNvbS94YXAvMS4wLyI+CiAgICAgICAgIDx0aWZmOlJlc29sdXRpb25Vbml0
PjI8L3RpZmY6UmVzb2x1dGlvblVuaXQ+CiAgICAgICAgIDx0aWZmOkNvbXByZXNzaW9uPjU8L3RpZmY6
Q29tcHJlc3Npb24+CiAgICAgICAgIDx0aWZmOlhSZXNvbHV0aW9uPjE0NDwvdGlmZjpYUmVzb2x1dGlv
bj4KICAgICAgICAgPHRpZmY6T3JpZW50YXRpb24+MTwvdGlmZjpPcmllbnRhdGlvbj4KICAgICAgICAg
PHRpZmY6WVJlc29sdXRpb24+MTQ0PC90aWZmOllSZXNvbHV0aW9uPgogICAgICAgICA8ZXhpZjpQaXhl
bFhEaW1lbnNpb24+NjQ8L2V4aWY6UGl4ZWxYRGltZW5zaW9uPgogICAgICAgICA8ZXhpZjpDb2xvclNw
YWNlPjE8L2V4aWY6Q29sb3JTcGFjZT4KICAgICAgICAgPGV4aWY6UGl4ZWxZRGltZW5zaW9uPjY0PC9l
eGlmOlBpeGVsWURpbWVuc2lvbj4KICAgICAgICAgPGRjOnN1YmplY3Q+CiAgICAgICAgICAgIDxyZGY6
U2VxLz4KICAgICAgICAgPC9kYzpzdWJqZWN0PgogICAgICAgICA8eG1wOk1vZGlmeURhdGU+MjAxNjow
NjoyNCAxMDowNjo4NjwveG1wOk1vZGlmeURhdGU+CiAgICAgICAgIDx4bXA6Q3JlYXRvclRvb2w+UGl4
ZWxtYXRvciAzLjU8L3htcDpDcmVhdG9yVG9vbD4KICAgICAgPC9yZGY6RGVzY3JpcHRpb24+CiAgIDwv
cmRmOlJERj4KPC94OnhtcG1ldGE+CurYSrgAAAo7SURBVGgF7Vl5TJRJFgcamhvlEBbFAxUHbzzxBs+J
0ajxiFnHBI0zHrtmFTXurkYxuioa46ijZozHRHG84pE43ut9RAUV443ojBcKugKK3N3N/uCR10V9RQ99
MBMTvz86r1796lW9qndVtXNZWZnT5/y5fM6LL1/7FwX+7BP8cgJfTsDOHfhiQnZuoN3D7T2B3bt3N2zY
sE6dOnUrPhCNGjUaO3ZsQUGBtLZp06b5+voSjH7RHD58uASztulq7QAJ/+zZs1evXonMjx8/FhUVFRcX
e3l5ifzMzMxPnz6JHNDv3r2TONY27T0B5XzOFZ/UpaxZlExpoOWmvQoEBQW1aNHC29ubp2nQoEFkZKSr
q3y24IeHh7u4VM7o5+fXvHlzcHigjQT2wJ7PYDAUFhZu27aNp586dWppaalWZklJya5du0gBnNDBgwfh
J7A0LdIqjpNV6OrAWFzPnj1JB7jmgwcPtEistWvXroQZNGiQyWTSYmzgOEYBTHzmzBmdTkfrGzdunHYp
27dvp15Y18WLF7UA2zgOUwDTjxkzhpbo5uZ29epVcUEITXAM6h01apTYZSftSAXu37/v4+NDqxw8eLBo
JGvWrCG+h4dHamqqnYsWh9dIgZycnMuXL8MFT506hb0Ux0v0rFmzaKFw1hMnTlAvgn1YWBjxJ02aJA0R
mykpKYsXL545c+amTZvu3LmDfCL2KulqFUCIuHXr1rp160aOHIlcS9Pjt3Xr1lBGKQvMN2/ehIaGErhH
jx5wbjAXLlxIHITO9PT06sauWLHC3d2dJ9Lr9W3atJk8eTI27unTp+J5ihKqKICYmJaWBm+bOHGiMpaT
dOiTlZUlShFpthaA9+3b9/bt28DAQBo4e/ZsESnS169f5xjAOjABy4yOjp4zZ86RI0dev34tDnRCzH75
8uWhQ4dmzJjRqVMnKf+zCIlISkoSpYg06oW2bdsSvmPHjhMmTCA6ODg4IyNDRIr0vHnzpCmqayJ1Dhgw
YMmSJRcuXMjNzXXaunWrv79/dWjwkUFRci1durR79+4Mw7LE6SX6wIEDjGQCU0owbsI8OI0AP3369KNH
j86fP793794o+1iClti5c6fTlStXpA6kyYCAgL59+y5atOjcuXPv37+nmc6fP48uAkdERMBJeAUSYTQa
Bw4cKIpt3Lgxy5HAaD5//hzpj/CoSl68eMEYdO3fvx8qdejQQfQQgNFExnTCiWOPxcngOjAqFsEEYlH9
+vUJiWR048YN7tIS165dY2uE2hs2bNBimLN3715eAGwd+nMXE9ivli1bEgz+DYfBOmH/5U68ZcsWnAWn
IWw/Sl8eKRJi+b569WqxS0vjDGk+WC0iqRbAHIQaVmDu3LnMF4lHjx4hhxAM7orto3RujkJ79uxhKai0
xMFMI6oyZujQocxXEgAQGOeG01NiwESN1KpVKxbL2UPCb968mTFIR9xrLqdxdpxHz549y2iRgFdxnYyk
k52dLfZKNDsMCKYlDJoI3EgOxK9Xrx4ioRYDDmot4iOaIbgxxqwAroIc/nA65eal+ZAcUMQTG6kAmU4D
UTAsK3Dp0iWeq3PnzrA3rQg4KpyK+MBwYgHHrACSf0xMDIGwK0+ePNEKghWK8Q4xSovRcixsP8C8taD7
9eunHQ7O3bt3EZqoS8KYFRDHwy5RLyhl9e/fn/kIrAjh3LSB+PDhA3IwDURg4R2URCFn0URaTBUFYFsh
ISE0WNwYURzSGV8gsTEIuGKvtfTt27dRGtCoJk2aoNBSSmCfxBVU9HiAqygA24KFkQjYXF5enlYcXKV9
+/bEBwB1vxYjcShiSExqwgjRSzQiBKcOESw6GwpECVNFAQxjC8HWYoNFQUTDVcR9ggtqMRKHCkmJSU2E
Mubz4TOHCIR8ZHGieXmMkd8O+vTpAztDLsSsMHFozFDYK1QC8/Dhw8wEkmmJoPs7mNhjzkESBgU2czZu
3IjCAT4KK8VLB9ItdbExe3p6iuupHEjny7/I2KhzqA/q5ufn4wK1fv360aNHo57hyZg4duwYj2WCqhfY
NMFw6LjHLFu2TFsjHD9+nEUxgSIHAX3KlCnIrY8fP+aoD/NGwc+zEGHOxNwRFxdHsqAxdoIzF0/ABO5f
ZB48lgixNGAwRGmnB37lypWYiGESgYDBJ4nppInQVCiwY8cOSYrUxIUGF/Pqyg0IxdOQNARNlGJKBYDH
ISckJMTGxlou7FFjaxWQfQAzkafDlsRFIEFGRUUhTsNJ2rVrZ7lMBwDltJi/MHGzZs1EjigckvGBg2fW
mzdvIjQhCz18+FBcgxghxbGKE8A+denShUA4wfj4eFzkcNnVal97HKwB1cDatWvZlfEWppxOoQBwuH2y
Asq7gVKWw5lIwHxoiYmJSvlyHqB1c72BKHT69OkqR/YHNsjoMaFYp0nzqxUQq0IOw9LI2m4ivuEEaBZE
cK6UpXkVTgwE1eUnT54EjWIBziQlcEmK3DQa8q8eLEw9ZfjfC9OnXNfABq7BTXxi/qqPqHzclfGqNpLa
vXv3qKdbt25cgElY9QkAxBdC/AeDgCANs9A05rzJ+s+w3H1Li9NTjDlZZaXFpZm/Ft45++6H73KS5jmV
1bR6TU5OhgHTRNoKghegPgF04+0FKQzRAOkTN2bcXXAsI0aM4JFqwlCSvSXe8D5D2VuQctQ1pKnvoG+V
vcxctWoVtr/8xaHiw+FbrQDWjfiF2z3e1SCEHtt69eqFSz2HBZ5PJApTT5a8rDwu94jOPv3i9GGRhan/
/Xhsg6mofDvzjv/oE/uNs77a1IvbGZ4G2XgwBBddKINf5WVNbUILFizAcqV/4HAIv1v9F6Ulkz4ues/A
Sd97tO7jUifYO/Ybz6jKZ6IyY2lpRpqos0TDXMXVoxebOGTIkOXLl0tIaqoVQGVLr9A8BueImwQKUuYo
CZ1vgMdX0W5/aapvGuXsZa403SPNr3qmPEtPAahbx48fj5s3l0A0EV9UpHnVPkB5AHU1KlMUt6hSEAe0
QiVZaPoNj9cywSlOv8F8t9DmTGsJ1Hx4eIX7wmxQUKB6x30ANydFIV0x2BnpTSsFD/N4WMbTFyowC6Wi
dqCaYyjJTPjaWLHxLl5+oYm/fwcS5eDxBj6N+gobKvKJViugxdnDyf5pDvyYJNQd9U/vmHH2SJPGqn1A
AtneLDPl/ryAV+9WP8K791jbpalGqn1AhbSeZzLmJM0vuFl553Lx9A2IS3RyUZiB9aLNI2pNAZMxe/u/
UE3QVFh94LSNrhbd17woa6jaUQB7v+PfvHqdj3/g3350C4u0ZmE1xdaKAjm7EgpulReC+HR1Q4L+vsk1
JJyaDv91vAL5l/YUJP9CC9X5Btb7x1ZdkPlPTocr4OAwasj67W3iGNQLtFDv6GHuLeQSWh/eQRdU+bex
/fo4WAEEzfzr5mcv5fr8xy/x6jpM2WUD06F5wFDCQdOGpdg2xJEKoJAuMyj+FrFtZTUc5WATquGsDoQ5
8gQcuKyai/o/4NELHqnRMLcAAAAASUVORK5CYII=
"""

LOGO[3] = """\
iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAIAAAAlC+aJAAAKqGlDQ1BJQ0MgUHJvZmlsZQAASImVlwdQ
FFkax193Tw6kgRGQMOSM5Cg5DlkymBhmCEMYxxmGJCoqiwquARURMKFLEAVXJcgaEFFMi4Ai5h1kUVDW
xYAJlW3kGG7v6u7q/lVf9a++fv29r1+/V/VvAChXWXx+GiwDQDovQxDq486Ijoll4MUAAgqABGjAiMUW
8t1CQgIAqtnr3/X+Ljoa1W2T6Vr/fv+/SpaTIGQDAIWgHM8RstNRPo3GCTZfkAEAwkHzWlkZ/GnehLK8
AG0Q5cppTprhE9McP8Od38eEh3qgfA8AAoXFEiQBQP4dzTMy2UloHQoGZTMeh8tD2QplZ3YyC52Hgt4D
xunpK6b5IMr68f9UJ+lvNeMlNVmsJAnPvMt3ETy5Qn4aK+f/XI7/rfQ00ewcmmhQkgW+odPzoWtWm7rC
X8K8+KDgWeZyZnqa5mSRb8Qss4UesbPMYXn6z7IoNcJtllmCuWe5GczwWRasCJXU56UFBUjqJzAlnCD0
CpvlRK43c5Zzk8OjZjmTGxk0y8LUMP+5MR6SvEAUKuk5UeAtecd04VxvbNbcXBnJ4b5zPURL+uEkeHpJ
8rwIyXh+hrukJj8tZK7/NB9JXpgZJnk2A91gs5zC8guZqxMiWR/ABYGABdgZCdnT+wp4rODnCLhJyRkM
N/SUJDCYPLapMcPCzNwGgOkzN/NJ3977fpYgOmEuJ7wDgIMumuTN5ZYVAtBmCwDtj7mcdh66Dw8DcK6P
LRJkzuSmtzrAoidZGsgDJaAGtIA+MAEWwAY4AlfgBfxAMAgHMWAZYINkkA4EIAvkgXWgEBSD7WA3KAcH
wGFQC46Dk6AFnAUXwRVwA/SAfvAQiMEweAnGwXswCUEQHqJCNEgJUod0ICPIArKDnCEvKAAKhWKgOCgJ
4kEiKA/aABVDJVA5dAiqg36GzkAXoWtQL3QfGoRGoTfQZxiBKbA8rArrwgtgO9gN9ofD4aVwErwSzoUL
4K1wGVwFH4Ob4YvwDbgfFsMv4QkEIGSEjmggJogd4oEEI7FIIiJA1iBFSClShTQgbUgXchsRI2PIJwwO
Q8MwMCYYR4wvJgLDxqzErMFswZRjajHNmE7MbcwgZhzzDUvFqmCNsA5YJjYam4TNwhZiS7HV2CbsZWw/
dhj7HofD0XF6OFucLy4Gl4JbhduC24drxLXjenFDuAk8Hq+EN8I74YPxLHwGvhC/F38MfwHfhx/GfySQ
CeoEC4I3IZbAI6wnlBKOEs4T+gjPCZNEGaIO0YEYTOQQc4jbiEeIbcRbxGHiJEmWpEdyIoWTUkjrSGWk
BtJl0iPSWzKZrEm2Jy8ic8n55DLyCfJV8iD5E0WOYkjxoCyhiChbKTWUdsp9ylsqlapLdaXGUjOoW6l1
1EvUJ9SPUjQpUymmFEdqrVSFVLNUn9QraaK0jrSb9DLpXOlS6VPSt6THZIgyujIeMiyZNTIVMmdkBmQm
ZGmy5rLBsumyW2SPyl6THZHDy+nKeclx5ArkDstdkhuiITQtmgeNTdtAO0K7TBuWx8nryTPlU+SL5Y/L
d8uPK8gpWClEKmQrVCicUxDTEbounUlPo2+jn6TfpX+epzrPbV7CvM3zGub1zfugOF/RVTFBsUixUbFf
8bMSQ8lLKVVph1KL0mNljLKh8iLlLOX9ypeVx+bLz3ecz55fNP/k/AcqsIqhSqjKKpXDKjdVJlTVVH1U
+ap7VS+pjqnR1VzVUtR2qZ1XG1WnqTurc9V3qV9Qf8FQYLgx0hhljE7GuIaKhq+GSOOQRrfGpKaeZoTm
es1GzcdaJC07rUStXVodWuPa6tqB2nna9doPdIg6djrJOnt0unQ+6OrpRulu1G3RHdFT1GPq5erV6z3S
p+q76K/Ur9K/Y4AzsDNINdhn0GMIG1obJhtWGN4ygo1sjLhG+4x6jbHG9sY84yrjAROKiZtJpkm9yaAp
3TTAdL1pi+mrBdoLYhfsWNC14JuZtVma2RGzh+Zy5n7m683bzN9YGFqwLSos7lhSLb0t11q2Wr62MrJK
sNpvdc+aZh1ovdG6w/qrja2NwKbBZtRW2zbOttJ2wE7eLsRui91Ve6y9u/1a+7P2nxxsHDIcTjr86Wji
mOp41HFkod7ChIVHFg45aTqxnA45iZ0ZznHOB53FLhouLJcql6euWq4c12rX524Gbilux9xeuZu5C9yb
3D94OHis9mj3RDx9PIs8u73kvCK8yr2eeGt6J3nXe4/7WPus8mn3xfr6++7wHWCqMtnMOua4n63far9O
f4p/mH+5/9MAwwBBQFsgHOgXuDPwUZBOEC+oJRgEM4N3Bj8O0QtZGfLLItyikEUVi56FmofmhXaF0cKW
hx0Nex/uHr4t/GGEfoQooiNSOnJJZF3khyjPqJIocfSC6NXRN2KUY7gxrbH42MjY6tiJxV6Ldy8eXmK9
pHDJ3aV6S7OXXlumvCxt2bnl0stZy0/FYeOi4o7GfWEFs6pYE/HM+Mr4cbYHew/7JceVs4szmuCUUJLw
PNEpsSRxJMkpaWfSaLJLcmnyGNeDW859neKbciDlQ2pwak3qVFpUWmM6IT0u/QxPjpfK61yhtiJ7RS/f
iF/IF690WLl75bjAX1AthIRLha0Z8qi5uSnSF/0gGsx0zqzI/JgVmXUqWzabl30zxzBnc87zXO/cn1Zh
VrFXdeRp5K3LG1zttvrQGmhN/JqOtVprC9YO5/vk164jrUtd9+t6s/Ul699tiNrQVqBakF8w9IPPD/WF
UoWCwoGNjhsPbMJs4m7q3my5ee/mb0WcouvFZsWlxV+2sLdc/9H8x7Ifp7Ymbu3eZrNt/3bcdt72uztc
dtSWyJbklgztDNzZvIuxq2jXu93Ld18rtSo9sIe0R7RHXBZQ1rpXe+/2vV/Kk8v7K9wrGitVKjdXftjH
2de333V/wwHVA8UHPh/kHrx3yOdQc5VuVelh3OHMw8+ORB7p+snup7pq5eri6q81vBpxbWhtZ51tXd1R
laPb6uF6Uf3osSXHeo57Hm9tMGk41EhvLD4BTohOvPg57ue7J/1PdpyyO9VwWud0ZROtqagZas5pHm9J
bhG3xrT2nvE709Hm2Nb0i+kvNWc1zlacUzi37TzpfMH5qQu5Fyba+e1jF5MuDnUs73h4KfrSnc5Fnd2X
/S9fveJ95VKXW9eFq05Xz15zuHbmut31lhs2N5pvWt9s+tX616Zum+7mW7a3Wnvse9p6F/ae73Ppu3jb
8/aVO8w7N/qD+nvvRty9N7BkQHyPc2/kftr91w8yH0w+zH+EfVT0WOZx6ROVJ1W/GfzWKLYRnxv0HLz5
NOzpwyH20Mvfhb9/GS54Rn1W+lz9ed2IxcjZUe/RnheLXwy/5L+cHCv8Q/aPylf6r07/6frnzfHo8eHX
gtdTb7a8VXpb887qXcdEyMST9+nvJz8UfVT6WPvJ7lPX56jPzyezvuC/lH01+Nr2zf/bo6n0qSk+S8D6
bgUQNODERADe1ABAjUG9Qw8AJKkZT/xd0IyP/07gP/GMb/4u1LnUtAMwbc388wE4iF51py0pGiGuAIS7
AtjSUhL/kDDR0mKmFrkFtSalU1NvUS+INwDg68DU1GTL1NTXarTZBwC0v5/x4tPCoX8oDcjI62D6raCt
+eBf9BfylgHrAxniCgAAAAlwSFlzAAAWJQAAFiUBSVIk8AAABCRpVFh0WE1MOmNvbS5hZG9iZS54bXAA
AAAAADx4OnhtcG1ldGEgeG1sbnM6eD0iYWRvYmU6bnM6bWV0YS8iIHg6eG1wdGs9IlhNUCBDb3JlIDUu
NC4wIj4KICAgPHJkZjpSREYgeG1sbnM6cmRmPSJodHRwOi8vd3d3LnczLm9yZy8xOTk5LzAyLzIyLXJk
Zi1zeW50YXgtbnMjIj4KICAgICAgPHJkZjpEZXNjcmlwdGlvbiByZGY6YWJvdXQ9IiIKICAgICAgICAg
ICAgeG1sbnM6dGlmZj0iaHR0cDovL25zLmFkb2JlLmNvbS90aWZmLzEuMC8iCiAgICAgICAgICAgIHht
bG5zOmV4aWY9Imh0dHA6Ly9ucy5hZG9iZS5jb20vZXhpZi8xLjAvIgogICAgICAgICAgICB4bWxuczpk
Yz0iaHR0cDovL3B1cmwub3JnL2RjL2VsZW1lbnRzLzEuMS8iCiAgICAgICAgICAgIHhtbG5zOnhtcD0i
aHR0cDovL25zLmFkb2JlLmNvbS94YXAvMS4wLyI+CiAgICAgICAgIDx0aWZmOlJlc29sdXRpb25Vbml0
PjI8L3RpZmY6UmVzb2x1dGlvblVuaXQ+CiAgICAgICAgIDx0aWZmOkNvbXByZXNzaW9uPjU8L3RpZmY6
Q29tcHJlc3Npb24+CiAgICAgICAgIDx0aWZmOlhSZXNvbHV0aW9uPjE0NDwvdGlmZjpYUmVzb2x1dGlv
bj4KICAgICAgICAgPHRpZmY6T3JpZW50YXRpb24+MTwvdGlmZjpPcmllbnRhdGlvbj4KICAgICAgICAg
PHRpZmY6WVJlc29sdXRpb24+MTQ0PC90aWZmOllSZXNvbHV0aW9uPgogICAgICAgICA8ZXhpZjpQaXhl
bFhEaW1lbnNpb24+NjQ8L2V4aWY6UGl4ZWxYRGltZW5zaW9uPgogICAgICAgICA8ZXhpZjpDb2xvclNw
YWNlPjE8L2V4aWY6Q29sb3JTcGFjZT4KICAgICAgICAgPGV4aWY6UGl4ZWxZRGltZW5zaW9uPjY0PC9l
eGlmOlBpeGVsWURpbWVuc2lvbj4KICAgICAgICAgPGRjOnN1YmplY3Q+CiAgICAgICAgICAgIDxyZGY6
U2VxLz4KICAgICAgICAgPC9kYzpzdWJqZWN0PgogICAgICAgICA8eG1wOk1vZGlmeURhdGU+MjAxNjow
NjoyNCAxMDowNjo5NDwveG1wOk1vZGlmeURhdGU+CiAgICAgICAgIDx4bXA6Q3JlYXRvclRvb2w+UGl4
ZWxtYXRvciAzLjU8L3htcDpDcmVhdG9yVG9vbD4KICAgICAgPC9yZGY6RGVzY3JpcHRpb24+CiAgIDwv
cmRmOlJERj4KPC94OnhtcG1ldGE+CvtES48AAAqPSURBVGgF7VkJTJVJEn4HIIeAqODgbUDjfeB9gmeW
6ARHJe4YEzVOPLJmVXTdjEZlNZ5rXHXRrKuYeETRKCYO3vcVb2VRPNGVQ1BY7hsej/2g3hZN9/+YgffY
yST+IaS6+uvqqu7qqup++srKSt1v+TP8lpWv0v2rAb/2Dn7dga87YOMKfHUhGxfQ5uG27sCxY8fatWvn
6enZrPoD0b59++nTpxcVFUm6LVy40N3dnWD0H82QkBAJVt+mQ30HSPiPHz+mpKSIzLy8vJKSktLSUldX
V5H/+fPngoICkQM6IyND4tS3aesOaM6nr/6kLs2aRZMpDay7aasBLVu27NKli5ubG0/Tpk2brl27OjjI
ewt+p06dDAbLjB4eHv7+/uDwwAYSWANbPpPJVFxcfODAAZ5+wYIF5eXlqsyysrKjR4+SAdih6OhonBN4
moqsF0dXL7Q1MJQbPnw42YCj+fLlSxUJXQcNGkSYCRMmmM1mFdMAjn0MwMRXr141Go2k34wZM1RVDh48
SL3wrlu3bqmAhnHsZgCmDw0NJRUdHR3v3bsnKoTQhINBvVOnThW7bKTtaUB8fHzTpk1Jy+DgYNFJduzY
QXxnZ+dnz57ZqLQ4/BcZkJ2dfefOHRzBS5cuYS3F8RIdFhZGiuKwXrhwgXoR7Nu2bUv8uXPnSkPE5qNH
j9atW7dkyZK9e/fGxcUhn4i9mrRVAxAinj59umvXrilTpiDX0vT436NHDxijKQvMtLQ0X19fAg8bNgyH
G8w1a9YQB6Hz3bt31sZu2bKlSZMmPJGTk1PPnj3nzZuHhXv//r24n6KEWgYgJr558wanbc6cOZqxnKTD
ni9fvohSRJq9BeATJ06kp6e3aNGCBi5btkxEivSDBw84BrANTMAzBw8evHz58piYmNTUVHGgDjE7OTn5
9OnTixcv7t+/v5T/WYREHD58WJQi0qgXevXqRfiAgIDZs2cT7ePj8+nTJxEp0itXrpSmsNZE6hw3btz6
9etv3ryZk5Oji4yM9PLysoYGHxkUJdeGDRuGDh3KMKglTi/Rp06dYiQTmFKCcRPuwWkE+EWLFp09e3bV
qlUjR45E2ccSVOLIkSO6u3fvSh1Ik82bNx89enR4ePj169czMzNpphs3bqCLwJ07d8YhYQ0koqKiYvz4
8aLYDh06sBwJjGZiYiLSH+FRlSQlJTEGXSdPnoRJ/fr1E08IwGgiY+qw41hjcTIcHTgVi2ACsah169aE
RDJ6/Pgxd6nE/fv32Rth9u7du1UMc44fP84KwNdhP3cxgfXq1q0bwXC+cWCgJ/y/6hDv378fe8FpCMuP
0pdHioRYvm/fvl3sUmnsIc0Hr0UkVQHMQahhA1asWMF8kXj9+jVyCMFwXLF8lM5rolBUVBRLQaUlDmYa
UZUxkyZNYr4mAQCBsW/YPU0MmKiRunfvzmI5e0j4ffv2MQbpiHtrymnsHefRa9euMVokcKq4TkbSycrK
Enslmg8MCKYlDJoI3EgOxPf29kYkVDHgoNYiPqIZghtjagzAVZDDH3anyr2UD8kBRTyxkQqQ6RSIBqNu
A27fvs1zDRgwAP6misBBxaEiPjCcWMCpMQDJPzAwkEBYlYSEBFUQvFCMd4hRKkbl1LH8APPSgh4zZow6
HJznz58jNFGXhKkxQBwPv0S9oClr7NixzEdgRQjnZgOI3Nxc5GAaiMDCKyiJQs6iiVRMLQPgW61ataLB
4sKI4pDO+AKJhUHAFXvrS8fGxqI0oFEdO3ZEoaUpgc8krqDiiQe4lgHwLXgYiYDP5efnq+JwVPr06UN8
AFD3qxiJQxFDYlITToheohEhOHWIYPGwoUCUMLUMwDD2ECwtFlgURDSOirhOOIIqRuJQISkxqYlQxnze
fOYQgZCPLE40q8cY+e1g1KhR8DPkQswKF4fFDIW/wiQwz5w5w0wgmZYIur+DiTXmHCRhUGAzZ8+ePSgc
cEbhpXjpQLqlLnZmFxcXUR/LQNpf/o+MjTqH+mBuYWEhLlARERHTpk1DPcOTMXHu3DkeywRVL/BpgmHT
cY/ZuHGjWiOcP3+eRTGBIgcBff78+citb9++5agP90bBz7MQUZOJuWPWrFkkCxZjJThz8QRM4P5F7sFj
iRBLAwZDlDo98Fu3bsVEDJMIBAzeSUwnTYSmhgGHDh2SpEhNXGhwMbdWbkAonoakIWiiFNM0AHhs8tq1
a4OCguou7FFjqwbIZwAz0UmHL4lKIEH27dsXcRqHpHfv3nWX6QCgnBbzFyb28/MTOaJwSMYHDp5Znzx5
gtCELPTq1StRBzFCimM1dgDrNHDgQAJhB5cuXYqLHC67qvWNx4EOqAZ27tzJRxlvYZrTaRgAHG6fbIDm
3UBTlt2ZSMC8aZs3b9aUL+cB0pvrDUShK1eu1Nqy/2ODnB4TinWaNL+2AWJVyGFYGtnYTcQ37ADNggjO
lbI0r8YhBoLq8osXL4JGsYDDJCVwSYrcNJsKb0WVfogtT3phLil09PV38gtwn/CD3slquJQl6HRIai9e
vCD+kCFDuACTkNo7ABBfCPEbDAKCNKyOprkg+z8R83Ki/1oce9mUlWYuyit9/zT/0v70LaHlyfWQ8/Dh
QzgwTaRWEKyA9g6gG28vSGGIBkifuDHj7oJtmTx5Mo+0RmT+849lH+PUXlNGclZkmM+Pp/RNav30pCK3
bduG5a96caj+sPn1NgB6I37hdo93NQihx7YRI0bgUs9hQZ0YHFPqW9bepe94j+AFOoMxLyai+F9VkcCU
lVp0L9otaKbmWGLidoanQXYeMHHRhTH4r3lZ03ah1atXQ13pFzhsws9W/0UPfyI99E7OXr9f4+Dr79Cq
k2fIUta4LNmyrsyRCLirqD16sYgTJ07ctGmThKSmtguhssUrtDgA+4ibBApSkanSHiFhbsNDy9MSdGaz
3vV/labRqDcYKqvvbkYvy9OvOpY4qFtnzpyJ28iHDx8QiBjGFxXmEKFtAOUB1NWoTFHcokpBHMB1nusq
SUpNU683erfHXw1Hpyu4cYS0B9OlV5DYpdKo+fDwiuMLt0FBgeod9wHcnDQK6erBeqQ3VQoe5vGwjKcv
VGB1lIrqQImTE/WXkvjbFbmWH4Pdx872ENxJAltr4vEGZxr1FRZUxWgboOIawDEX5qT9GMgDm039s1vg
DG7ai9A+xHaRXpGZIsrJO7c7L+bvqL1Epu10I+5ARean8pRXBjev4rirhTePkq+6Df2u2ffhtuvNEhrR
AJ4DROY//lDy8g4IpBHvP0U5tu0q9tpCN6ILiWq5BPyOmtiH0nc1LxEipmG0dhhtmCyMQiFUkZ1WkZVq
cPV06my5FYFvbObDMiuLfiaZMPKXEHY2IGPHLFN6YpXGnt7fhF/QGS3yi59dZm0cWndh2nbCzi7k3H0E
6YTYn385UmcqQ9OUkVgSazFAbzA6dbT8BGi79pBg50NckZGUvu17c3EBKWdw83T8xq8sKb6yvJQ4HsEL
3VHh2e+zswFQrOT59azIZZVmjRc7l56BzX/4G+pT++lv7x0gzUxpCbnRW0veWN7NwcSR8Ph2seugb+2o
Oomy/w6wipWlRaYv/66+UvoZ3Fsw375EIxpgX0WtSfsvSYxLUiojRTgAAAAASUVORK5CYII=
"""
